import Vue from 'vue'

Vue.filter('toAgeLabel', (value: string): string => {

  if (!value ||  typeof value !== 'string') {
    return '--';
  };

  const ageLabel = {
    'under_20': '20歲以下',
    '21-30': '21-30 歲',
    '31-40': '31-40 歲',
    '41-50': '41-50 歲',
    '46-55': '46-55 歲',
    '51-60': '51-60 歲',
    '61-70': '61-70 歲',
    'over_71': '71 歲以上'
  };

  return  ageLabel[value];
})
